Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Get a Workflow Document

Request

Retrieves workflow details of the approvable object.

See the Workflows article to find out which documents types can have approval workflows.

Available for the following roles:

  • ADMIN_WO_USER_MGMT (General Admin (without User Management))
  • SUPPORT (Investigate for Support)
  • PRICESHOP_RO (View Quoting)
  • PB_PRICELISTS_RO (View Price Lists)
  • PB_PRICEGRIDS_RO (View LPG)
  • RM_REBATEAGREEMENTS_RO (View Rebate Agreements)
  • RM_REBATEAGREEMENTS (Manage Rebate Agreements)
  • RM_REBATERECORDS (Manage Rebate Records)
  • RM_REBATERECORDS_RO (View Rebate Records)
  • CONTRACTS_RO (View A&P)
  • CM_CONTRACTS (Manage A&P)
  • CLM_CLAIM (Use Claims)
  • WF_ADMIN (Manage Workflows)
  • PO_MODELRECORDS_RO (View Policy Records)
  • PO_MODELRECORDS_APPROVAL (Approve Policy Records)
  • MODULECATEGORY_MO_RO (View Model in Module Category)
  • SC_COMPENSATIONS_RO (View Compensation Plans)
Security
basic or X-PriceFx-jwt
Path
typedIdstringrequired

The typedId of the approvable object you want to retrieve workflow details for.

Example: 2147491330.Q
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.fetchdetailsviaapprovable/2147491330.Q

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "e2e-staging-node", "data": [], "status": 0 } }

Approve a Document

Request

Approves a document specified by the currentStepId. Allows you to add a comment in the request body.

Security
basic or X-PriceFx-jwt
Path
currentStepIdstringrequired

The ID of the workflow step. It can be retrieved using the /workflowsmanager.fetch/active (List Pending Approvals) endpoint.

Example: 2d721e9d-ac6d-4eda-bd6c-60424f4fdaef
Bodyapplication/json
dataobjectrequired
data.​actionCommentstringnon-emptyrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.approve/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "actionComment": "This version is ok."
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "data": [], "status": 0 } }

Deny a Document

Request

Denies a document specified by the currentStepId. Allows you to add a comment in the request body.

Security
basic or X-PriceFx-jwt
Path
currentStepIdstringrequired

The ID of the workflow step. It can be retrieved using the /workflowsmanager.fetch/active (List Pending Approvals) endpoint.

Example: 2d721e9d-ac6d-4eda-bd6c-60424f4fdaef
Bodyapplication/json
dataobjectrequired
data.​actionCommentstringnon-emptyrequired
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.deny/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "actionComment": "Not approved - the margin is too low."
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
No response example

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas